1. Books API
GY Docs
  • Documentation
  • Books API
    • Get Book (Public)
      GET
    • Get Book
      GET
    • List Books by User
      GET
    • Update Book
      PATCH
    • Delete Book
      DELETE
  • Friends API
    • List Friends
      GET
    • Remove Friend
      DELETE
    • Send Friend Request
      POST
    • Manage Friend Request
      POST
    • Get Friend Requests
      GET
  • Profile API
    • List Profiles
      GET
    • List Profiles (Public)
      GET
    • Get Profile
      GET
    • Get Profile (Public)
      GET
    • Update Biography
      PATCH
    • Get Hall of Fame
      GET
    • Add Book to Hall of Fame
      PATCH
    • Delete Book from Hall of Fame
      DELETE
    • Set Quote to Hall of Fame
      PATCH
  • Activity API
    • List Friends Activities
      GET
    • List Activities
      GET
    • Add Activity
      POST
    • React to an Activity
      PATCH
  • Lists API
    • List lists
      GET
    • Get list
      GET
    • Create List
      POST
    • Update List
      PATCH
    • Remove List
      DELETE
    • Save a Book
      POST
    • Update a Book
      PATCH
    • Remove a Book
      DELETE
  • Metadata API
GY AccountsGY Books
Heralds of Chaos
GY AccountsGY Books
Heralds of Chaos
  1. Books API

Get Book (Public)

GET
https://api.gycoding.com/books/{id}/public
Retrieves a book.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.gycoding.com/books//public'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "string",
    "averageRating": 0,
    "userData": {
        "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",
        "status": "WANT_TO_READ",
        "rating": 0,
        "progress": 0,
        "startDate": "2019-08-24",
        "endDate": "2019-08-24",
        "editionId": "string",
        "review": "string"
    }
}
🟠400Bad Request
🟠403Forbidden
🟠404Not Found
🟠405Method Not Allowed
🔴500Internal Error
Next
Get Book
Built with